const feedbackButton = document.querySelector('.feedback-button');
        const feedbackForm = document.querySelector('.feedback-form');
        const closeForm = document.querySelector('.close-form');

        feedbackButton.addEventListener('click', () => {
            feedbackForm.style.display = 'block';
        });

        closeForm.addEventListener('click', () => {
            feedbackForm.style.display = 'none';
        });

        // Проверка email
        function validateEmail(email) {
            const re = /^[^\s@]+@[^\s@]+\.[^\s@]+$/;
            return re.test(email);
        }

        // Проверка телефона
        function validatePhone(phone) {
            const re = /^\+?\d{10,13}$/; // Допустимые варианты
            return re.test(phone);
        }

        // Обработка формы
        feedbackForm.querySelector('form').addEventListener('submit', (event) => { 
    event.preventDefault();// Останавливаем стандартную отправку

            const emailInput = feedbackForm.querySelector('input[type="email"]');
            const phoneInput = feedbackForm.querySelector('input[type="tel"]');

            if (!validateEmail(emailInput.value)) {
                alert("Пожалуйста, введите корректный email.");
                return;
            }

            if (!validatePhone(phoneInput.value)) {
                alert("Пожалуйста, введите корректный номер телефона.");
                return;
            }

            // Если данные валидны, показываем сообщение и скрываем форму
            alert("Форма отправлена!");
            feedbackForm.style.display = 'none'; 
        });